/*
 * =====================================================================================
 *
 *       Filename:  constants.c
 *
 *    Description:  Constant values definition
 *
 *        Version:  1.0
 *        Created:  24/04/2017 21:06:32
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Jerome Benoit (fraggle), jerome.benoit@piment-noir.org
 *   Organization:  Piment Noir
 *
 * =====================================================================================
 */

/* exported const definitions */

#include "constants.h"

//const unsigned int board_size = 8;

const unsigned int empty = 0;
const unsigned int white = 1;
const unsigned int black = 2;

/* FIXME: reuse the two above variables would be better */
const unsigned int player_one = 2; /* first player is black */
const unsigned int player_two = 1;

const unsigned int hint_allowed = 3;
const unsigned int hint_forbidden = 4;
